
#pragma once

/* This file is generated automatically by the build-register-db.pl, 2016-01-17 10:12:31 UTC. */

typedef struct {
  const char *name;
  unsigned   address;
} gp_bit_t;

typedef struct {
  const char *name;
  unsigned   address;
  unsigned   bit_number;
  const gp_bit_t *bits;
} gp_register_t;

typedef struct {
  const char *name;
  unsigned   register_number;
  const gp_register_t **registers;
} gp_register_table_t;

EXDATA const gp_register_table_t gp_register_db[];
EXDATA const int                 gp_register_db_size;

FUNC(const gp_register_table_t*) gp_register_find_mcu(const gp_register_table_t *Table, int Table_size, const char *McuName);

extern const gp_register_t *gp_register_find_reg(const gp_register_table_t *Mcu, unsigned Address);
extern const char *gp_register_find_reg_name(const gp_register_table_t *Mcu, unsigned Address);

extern const gp_bit_t *gp_register_find_bit(const gp_register_t *Reg, unsigned Address);
extern const char *gp_register_find_bit_name(const gp_register_t *Reg, unsigned Address);
